import request from '@/utils/request'

// 查询模板列表
export function listInquiryTemp(query) {
  return request({
    url: '/his/inquiryTemp/list',
    method: 'get',
    params: query
  })
}

// 查询模板详细
export function getInquiryTemp(tempId) {
  return request({
    url: '/his/inquiryTemp/' + tempId,
    method: 'get'
  })
}

// 新增模板
export function addInquiryTemp(data) {
  return request({
    url: '/his/inquiryTemp',
    method: 'post',
    data: data
  })
}

// 修改模板
export function updateInquiryTemp(data) {
  return request({
    url: '/his/inquiryTemp',
    method: 'put',
    data: data
  })
}

// 删除模板
export function delInquiryTemp(tempId) {
  return request({
    url: '/his/inquiryTemp/' + tempId,
    method: 'delete'
  })
}

// 导出模板
export function exportInquiryTemp(query) {
  return request({
    url: '/his/inquiryTemp/export',
    method: 'get',
    params: query
  })
}